| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
JemallocProfileSvc Class Reference

Service that enables the Jemalloc profiler on demand. More...

`#include <jemalloc/JemallocProfileSvc.h>`

Inheritance diagram for JemallocProfileSvc:
[legend]
Collaboration diagram for JemallocProfileSvc:
[legend]

## Public Member Functions
StatusCode | initialize () override
| Initializer. More...
StatusCode | finalize () override
| Finalizer. More...
void | handle (const Incident &incident) override
| Destructor. More...
| ~JemallocProfileSvc () override=default
Public Member Functions inherited from extends< Service, IIncidentListener >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName, bool createIf=true)
| Declare used tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
| ~PropertyHolder () override=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none") const
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleBase &ref, const std::string &doc="none")
| Specializations for various GaudiHandles. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleArrayBase &ref, const std::string &doc="none")
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, DataObjectHandleBase &ref, const std::string &doc="none")
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
const SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the cached level (originally extracted from the embedded MsgStream) More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces... >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Protected Member Functions
void | handleBegin ()
void | handleEnd ()
void | startProfiling ()
| Utility method to start profiling with jemalloc. More...
void | stopProfiling ()
| Utility method to stop profiling with jemalloc. More...
void | dumpProfile ()
| Utility method to dump profile with jemalloc. More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
MSG::Level | setUpMessaging ()
| Set up local caches. More...
MSG::Level | resetMessaging ()
| Reinitialize internal states. More...
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...

## Private Attributes
Gaudi::Property< int > | m_nStartFromEvent {this, "StartFromEventN", 0, "After what event we start profiling."}
Gaudi::Property< std::vector< std::string > > | m_startFromIncidents
Gaudi::Property< int > | m_nStopAtEvent
Gaudi::Property< std::vector< std::string > > | m_stopAtIncidents
Gaudi::Property< int > | m_dumpPeriod {this, "DumpPeriod", 100, "Period for dumping head to a file. Default=100"}
int | m_eventNumber = 0
| Current event number. More...
bool | m_hasStartIncident = false
bool | m_hasStopIncident = false
bool | m_profiling = false
| Status of the profiling. More...
SmartIF< IIncidentSvc > | m_incidentSvc
| Pointer to the incident service. More...

## Additional Inherited Members
Public Types inherited from extends< Service, IIncidentListener >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, "[[deprecated]] unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

Service that enables the Jemalloc profiler on demand.

By default, the profiling is diabled, the user needs to set incidents at which to start/stop the profiling, or specify incidents for that purpose.

Author
  Ben Couturier

Date
  2016-01-12

Definition at line 18 of file JemallocProfileSvc.h.

## Constructor & Destructor Documentation

JemallocProfileSvc::~JemallocProfileSvc | ( |  | ) |
| override default

## Member Function Documentation

void JemallocProfileSvc::dumpProfile | ( |  | ) |
| inline protected

Utility method to dump profile with jemalloc.

Definition at line 167 of file JemallocProfileSvc.cpp.

168 {
169 info() << "Dumping Jemalloc profile at event " << m_eventNumber << endmsg;
170 mallctl( "prof.dump", NULL, NULL, NULL, 0 );
171 }
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:112
mallctl
int mallctl(const char *name, void *oldp, size_t *oldlenp, void *newp, size_t newlen)
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Current event number.
Definition: JemallocProfileSvc.h:56
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

StatusCode JemallocProfileSvc::finalize | ( |  | ) |
| override

Finalizer.

Definition at line 68 of file JemallocProfileSvc.cpp.

69 {
70
71 // unregistering from the IncidentSvc
72 m_incidentSvc->removeListener( this, IncidentType::BeginEvent );
73 m_incidentSvc->removeListener( this, IncidentType::EndEvent );
74 m_incidentSvc.reset();
75 return base_class::finalize();
76 }
JemallocProfileSvc::m_incidentSvc
SmartIF< IIncidentSvc > m_incidentSvc
Pointer to the incident service.
Definition: JemallocProfileSvc.h:65
SmartIF::reset
void reset(TYPE *ptr=nullptr)
Set the internal pointer to the passed one disposing of the old one.
Definition: SmartIF.h:92
IIncidentSvc::removeListener
virtual void removeListener(IIncidentListener *lis, const std::string &type="")=0
Remove listener.

void JemallocProfileSvc::handle | ( | const Incident & | incident | ) |
| override

Destructor.

Definition at line 84 of file JemallocProfileSvc.cpp.

85 {
86 if ( IncidentType::BeginEvent == incident.type() ) {
87 handleBegin();
88 } else if ( IncidentType::EndEvent == incident.type() ) {
89 handleEnd();
90 }
91
92 // If already processing we can ignore the incidents for start
93 if ( !m_profiling && m_hasStartIncident ) {
94 for ( std::string startincident : m_startFromIncidents ) {
95 if ( startincident == incident.type() ) {
96 info() << "Starting Jemalloc profile at incident " << incident.type() << endmsg;
97 startProfiling();
98 break;
99 }
100 } // Loop on incidents
101 } // If checking incidents to start
102
103 // If already processing we can ignore the incidents for start
104 if ( m_profiling && m_hasStopIncident ) {
105 for ( std::string stopincident : m_stopAtIncidents ) {
106 if ( stopincident == incident.type() ) {
107 info() << "Stopping Jemalloc profile at incident " << incident.type() << endmsg;
108 stopProfiling();
109 break;
110 }
111 } // Loop on incidents
112 } // If checking incidents to stop
113 }
Incident::type
const std::string & type() const
Access to the incident type.
Definition: Incident.h:41
JemallocProfileSvc::startProfiling
void startProfiling()
Utility method to start profiling with jemalloc.
Definition: JemallocProfileSvc.cpp:148
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:112
JemallocProfileSvc::m_hasStopIncident
bool m_hasStopIncident
Definition: JemallocProfileSvc.h:59
JemallocProfileSvc::handleBegin
void handleBegin()
Definition: JemallocProfileSvc.cpp:117
std::string
STL class.
JemallocProfileSvc::stopProfiling
void stopProfiling()
Utility method to stop profiling with jemalloc.
Definition: JemallocProfileSvc.cpp:158
JemallocProfileSvc::m_hasStartIncident
bool m_hasStartIncident
Definition: JemallocProfileSvc.h:58
JemallocProfileSvc::m_stopAtIncidents
Gaudi::Property< std::vector< std::string > > m_stopAtIncidents
Definition: JemallocProfileSvc.h:51
JemallocProfileSvc::handleEnd
void handleEnd()
Definition: JemallocProfileSvc.cpp:128
JemallocProfileSvc::m_startFromIncidents
Gaudi::Property< std::vector< std::string > > m_startFromIncidents
Definition: JemallocProfileSvc.h:46
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:62

void JemallocProfileSvc::handleBegin | ( |  | ) |
| inline protected

Definition at line 117 of file JemallocProfileSvc.cpp.

118 {
119 m_eventNumber += 1;
120
121 if ( m_eventNumber == m_nStartFromEvent ) {
122 startProfiling();
123 }
124 }
JemallocProfileSvc::startProfiling
void startProfiling()
Utility method to start profiling with jemalloc.
Definition: JemallocProfileSvc.cpp:148
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Current event number.
Definition: JemallocProfileSvc.h:56
JemallocProfileSvc::m_nStartFromEvent
Gaudi::Property< int > m_nStartFromEvent
Definition: JemallocProfileSvc.h:45

void JemallocProfileSvc::handleEnd | ( |  | ) |
| inline protected

Definition at line 128 of file JemallocProfileSvc.cpp.

129 {
130 if ( m_profiling && m_eventNumber != m_nStartFromEvent &&
131 ( ( m_eventNumber - m_nStartFromEvent ) % m_dumpPeriod == 0 ) ) {
132 dumpProfile();
133 }
134
135 if ( m_eventNumber == m_nStopAtEvent ) {
136 stopProfiling();
137 }
138 }
JemallocProfileSvc::m_dumpPeriod
Gaudi::Property< int > m_dumpPeriod
Definition: JemallocProfileSvc.h:53
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Current event number.
Definition: JemallocProfileSvc.h:56
JemallocProfileSvc::m_nStopAtEvent
Gaudi::Property< int > m_nStopAtEvent
Definition: JemallocProfileSvc.h:48
JemallocProfileSvc::stopProfiling
void stopProfiling()
Utility method to stop profiling with jemalloc.
Definition: JemallocProfileSvc.cpp:158
JemallocProfileSvc::m_nStartFromEvent
Gaudi::Property< int > m_nStartFromEvent
Definition: JemallocProfileSvc.h:45
JemallocProfileSvc::dumpProfile
void dumpProfile()
Utility method to dump profile with jemalloc.
Definition: JemallocProfileSvc.cpp:167
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:62

StatusCode JemallocProfileSvc::initialize | ( |  | ) |
| override

Initializer.

Definition at line 27 of file JemallocProfileSvc.cpp.

28 {
29 StatusCode sc = base_class::initialize();
30 if ( sc.isFailure() ) return sc;
31
32 // register to the incident service
33 static const std::string serviceName = "IncidentSvc";
34 m_incidentSvc = serviceLocator()->service( serviceName );
35 if ( !m_incidentSvc ) {
36 error() << "Cannot retrieve " << serviceName << endmsg;
37 return StatusCode::FAILURE;
38 }
39
40 debug() << "Register to the IncidentSvc" << endmsg;
41 m_incidentSvc->addListener( this, IncidentType::BeginEvent );
42 m_incidentSvc->addListener( this, IncidentType::EndEvent );
43 for ( std::string incident : m_startFromIncidents ) {
44 m_incidentSvc->addListener( this, incident );
45 }
46 for ( std::string incident : m_stopAtIncidents ) {
47 m_incidentSvc->addListener( this, incident );
48 }
49
50 // Resetting the event counter
51 m_eventNumber = 0;
52 m_profiling = false;
53
54 // Cache whether we have start/stop incidents
55 m_hasStartIncident = ( m_startFromIncidents.size() > 0 );
56 m_hasStopIncident = ( m_stopAtIncidents.size() > 0 );
57
58 // Checking the consistency of the start/stop events
59 if ( m_nStartFromEvent == 0 && !m_hasStartIncident && ( m_hasStopIncident || m_nStopAtEvent > 0 ) ) {
60 info() << "Stop profiling trigger was specified but no start. Defaulting to first events" << endmsg;
61 m_nStartFromEvent = 1;
62 }
63
64 return StatusCode::SUCCESS;
65 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
StatusCode::FAILURE
Definition: StatusCode.h:31
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:112
JemallocProfileSvc::m_hasStopIncident
bool m_hasStopIncident
Definition: JemallocProfileSvc.h:59
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:86
std::string
STL class.
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Current event number.
Definition: JemallocProfileSvc.h:56
ISvcLocator::service
StatusCode service(const Gaudi::Utils::TypeNameString &name, T *&svc, bool createIf=true)
Templated method to access a service by name.
Definition: ISvcLocator.h:79
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:106
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
JemallocProfileSvc::m_nStopAtEvent
Gaudi::Property< int > m_nStopAtEvent
Definition: JemallocProfileSvc.h:48
JemallocProfileSvc::m_hasStartIncident
bool m_hasStartIncident
Definition: JemallocProfileSvc.h:58
JemallocProfileSvc::m_nStartFromEvent
Gaudi::Property< int > m_nStartFromEvent
Definition: JemallocProfileSvc.h:45
JemallocProfileSvc::m_stopAtIncidents
Gaudi::Property< std::vector< std::string > > m_stopAtIncidents
Definition: JemallocProfileSvc.h:51
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:115
IIncidentSvc::addListener
virtual void addListener(IIncidentListener *lis, const std::string &type="", long priority=0, bool rethrow=false, bool singleShot=false)=0
Add listener.
JemallocProfileSvc::m_incidentSvc
SmartIF< IIncidentSvc > m_incidentSvc
Pointer to the incident service.
Definition: JemallocProfileSvc.h:65
Service::serviceLocator
SmartIF< ISvcLocator > & serviceLocator() const override
Retrieve pointer to service locator.
Definition: Service.cpp:292
JemallocProfileSvc::m_startFromIncidents
Gaudi::Property< std::vector< std::string > > m_startFromIncidents
Definition: JemallocProfileSvc.h:46
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:62

void JemallocProfileSvc::startProfiling | ( |  | ) |
| inline protected

Utility method to start profiling with jemalloc.

Definition at line 148 of file JemallocProfileSvc.cpp.

149 {
150 m_profiling = true;
151 info() << "Starting Jemalloc profile at event " << m_eventNumber << endmsg;
152 mallctl( "prof.dump", NULL, NULL, NULL, 0 );
153 }
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:112
mallctl
int mallctl(const char *name, void *oldp, size_t *oldlenp, void *newp, size_t newlen)
JemallocProfileSvc::m_eventNumber
int m_eventNumber
Current event number.
Definition: JemallocProfileSvc.h:56
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:62

void JemallocProfileSvc::stopProfiling | ( |  | ) |
| inline protected

Utility method to stop profiling with jemalloc.

Definition at line 158 of file JemallocProfileSvc.cpp.

159 {
160 m_profiling = false;
161 dumpProfile();
162 }
JemallocProfileSvc::dumpProfile
void dumpProfile()
Utility method to dump profile with jemalloc.
Definition: JemallocProfileSvc.cpp:167
JemallocProfileSvc::m_profiling
bool m_profiling
Status of the profiling.
Definition: JemallocProfileSvc.h:62

## Member Data Documentation

Gaudi::Property<int> JemallocProfileSvc::m_dumpPeriod {this, "DumpPeriod", 100, "Period for dumping head to a file. Default=100"}
| private

Definition at line 53 of file JemallocProfileSvc.h.

int JemallocProfileSvc::m_eventNumber = 0
| private

Current event number.

Definition at line 56 of file JemallocProfileSvc.h.

bool JemallocProfileSvc::m_hasStartIncident = false
| private

Definition at line 58 of file JemallocProfileSvc.h.

bool JemallocProfileSvc::m_hasStopIncident = false
| private

Definition at line 59 of file JemallocProfileSvc.h.

SmartIF<IIncidentSvc> JemallocProfileSvc::m_incidentSvc
| private

Pointer to the incident service.

Definition at line 65 of file JemallocProfileSvc.h.

Gaudi::Property<int> JemallocProfileSvc::m_nStartFromEvent {this, "StartFromEventN", 0, "After what event we start profiling."}
| private

Definition at line 45 of file JemallocProfileSvc.h.

Gaudi::Property<int> JemallocProfileSvc::m_nStopAtEvent
| private

Initial value:
{
this, "StopAtEventN", 0,
"After what event we stop profiling. If 0 than we also profile finalization stage. Default = 0."}

Definition at line 48 of file JemallocProfileSvc.h.

bool JemallocProfileSvc::m_profiling = false
| private

Status of the profiling.

Definition at line 62 of file JemallocProfileSvc.h.

Gaudi::Property<std::vector<std::string> > JemallocProfileSvc::m_startFromIncidents
| private

Initial value:
{
this, "StartFromIncidents", {}, "Incidents that trigger profiling start"}

Definition at line 46 of file JemallocProfileSvc.h.

Gaudi::Property<std::vector<std::string> > JemallocProfileSvc::m_stopAtIncidents
| private

Initial value:
{
this, "StopAtIncidents", {}, "Incidents that trigger profiling start"}

Definition at line 51 of file JemallocProfileSvc.h.

The documentation for this class was generated from the following files:

- GaudiProfiling/src/component/jemalloc/JemallocProfileSvc.h
- GaudiProfiling/src/component/jemalloc/JemallocProfileSvc.cpp